%global momorel 1
Name:           gnome-calculator
Version: 3.30.0
Release: %{momorel}m%{?dist}
Summary:        A desktop calculator

Group:          Applications/System
License:        GPLv2+
URL:            http://live.gnome.org/Gcalctool
#VCS: git:git://git.gnome.org/gcalctool
Source0: http://download.gnome.org/sources/%{name}/3.30/%{name}-%{version}.tar.xz
NoSource: 0

BuildRequires: glib2-devel
BuildRequires: gtk3-devel
BuildRequires: libsoup-devel
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: flex
BuildRequires: bison
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: gtksourceview3-devel

Requires(post): glib2
Requires(postun): glib2

Provides:  gcalctool = 6.6.2-3
Obsoletes: gcalctool < 6.6.2-3


%description
gnome-calculator is a powerful graphical calculator with financial,
logical and scientific modes. It uses a multiple precision package
to do its arithmetic to give a high degree of accuracy.


%prep
%setup -q


%build
%meson
%meson_build

%install
rm -rf %{buildroot}

%meson_install

desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Calculator.desktop

%find_lang %{name} --with-gnome --all-name

find %{buildroot} -name *.la -exec rm -f {} \;

%postun
if [ $1 -eq 0 ] ; then
     glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi


%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%files -f %{name}.lang
%doc COPYING NEWS
%{_bindir}/gcalccmd
%{_bindir}/gnome-calculator
%{_libexecdir}/gnome-calculator-search-provider
%{_datadir}/applications/org.gnome.Calculator.desktop
%{_datadir}/dbus-1/services/org.gnome.Calculator.SearchProvider.service
%{_datadir}/glib-2.0/schemas/org.gnome.calculator.gschema.xml
%{_datadir}/gnome-shell/
%{_datadir}/help/*/gnome-calculator/
%{_datadir}/icons/hicolor/*/apps/gnome-calculator*
%{_datadir}/metainfo/org.gnome.Calculator.appdata.xml
%doc %{_mandir}/man1/gnome-calculator.1.*
%doc %{_mandir}/man1/gcalccmd.1.*

%changelog
* Mon Sep 17 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (3.30.0-1m)
- update to 3.30.0

* Sun May 28 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.24.0-1m)
- update to 3.24.0

* Fri Mar 17 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.23.92-1m)
- update to 3.23.92

* Mon Oct 27 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.14.1-1m)
- update to 3.14.1

* Fri Sep 26 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.14.0-2m)
- update

* Sat Jun 28 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.12.3-1m)
- import from fedora

